# MultiLane in ppv_lite86 - Rust
A vector composed of multiple 128-bit lanes.
Keywords: rust, rustlang, rust-lang, MultiLane

# Trait ppv_lite86::MultiLane

source · [−]

    pub trait MultiLane<Lanes> {
        fn to_lanes(self) -> Lanes;
        fn from_lanes(lanes: Lanes) -> Self;
    }

Expand description

A vector composed of multiple 128-bit lanes.

## Required Methods

source

#### fn to_lanes(self) -> Lanes

Split a multi-lane vector into single-lane vectors.

source

#### fn from_lanes(lanes: Lanes) -> Self

Build a multi-lane vector from individual lanes.

## Implementors